combining criteria:
 -lexicographic[<lccriteria>{,<lccriteria>}*]
   with <lccriteria> ::= {+,-}leximax[<ccriteria>{,<ccriteria>}*] |
                         {+,-}leximin[<ccriteria>{,<ccriteria>}*] |
                         <ccriteria>
   with  <ccriteria> ::= {+,-}agregate[<ccriteria>{,<ccriteria>}*]{[lambda]}? |
                         {+,-}lexagregate[<ccriteria>{,<cccriteria>}*]{[lambda]}? |
                         <criteria>
   with   <criteria> ::= {+,-}removed{[lambda]}? |                             # number of removed packages 
                         {+,-}changed{[lambda]}? |                             # number of package with a modified version
                         {+,-}notuptodate{[lambda]}? |                         # number of no uptodate packages
                         {+,-}new{[lambda]}? |                                 # number of newly installed packages
                         {+,-}nunsat[<property:>,<withproviders>]{[lambda]}? | # number of unsatisfied dijunct in property (must be a vpkgformula)
                                where <property:> is a property name of type vpkgformula
                                  and <withproviders> is a boolean (true or false) telling whether providers have to be taken into account
                         {+,-}count[<property:>,<onlynew>]{[lambda]}?          # count the property quantity (must be an int, posint or nat) 
                                where <property:> is a property name of type int, nat or posint
                                  and <onlynew> is a boolean (true or false) telling whether count applies only on newly installed packages
  eg.: -lexicographic[-removed,-notuptodate,-nunsat[recommends:,true],-new]
  eg.: -lexicographic[-lexagregate[-removed,-notuptodate],-lexagregate[-nunsat[recommends:,true],-new]]
  WARNING: spaces can not be used within a criteria combination.
criteria combination shortcuts:
 -lex[<lccriteria>{,<lccriteria>}*] equivalent to -lexicographic[<lccriteria>{,<lccriteria>}*]
 -lexagregate[<ccriteria>{,<ccriteria>}*] equivalent to -lex[-lexagregate[<ccriteria>{,<ccriteria>}*]]
 -lexsemiagregate[<ccriteria>{,<ccriteria>}*] equivalent to 
                        -lex[-lexagregate[<ccriteria>,<ccriteria>],-lexagregate[<ccriteria>,<ccriteria>],...]
 -agregate[<ccriteria>{,<ccriteria>}*] equivalent to -lex[-agregate[<ccriteria>{,<ccriteria>}*]]
 -leximax[<ccriteria>{,<ccriteria>}*] equivalent to -lex[-leximax[<ccriteria>{,<ccriteria>}*]]
 -leximin[<ccriteria>{,<ccriteria>}*] equivalent to -lex[-lexmin[<ccriteria>{,<ccriteria>}*]]
 -lexleximax[<ccriteria>{,<ccriteria>}*] equivalent to -lex[<ccriteria>,-leximax[<ccriteria>{,<ccriteria>}*]]
 -lexleximin[<ccriteria>{,<ccriteria>}*] equivalent to -lex[<ccriteria>,-leximin[<ccriteria>{,<ccriteria>}*]]
  eg.: -agregate[-removed[100],-notuptodate[50],-nunsat[recommends:,true][10],-new]
